/*
Theme Name: Glamist Cosmetic Child
Theme URI: https://demo.webdigify.com/wd/WCM02/WCM042_glamist
Author: WebDigify
Description: Cosmetic Store
Requires at least: 5.2
Tested up to: 5.9
Requires PHP: 7.0
Version: 1.0.0
License: GNU General Public License v3.0 (or later)
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Text Domain: glamist_cosmetic_child
Template: glamist
Tags: translation-ready, two-columns, right-sidebar, left-sidebar, footer-widgets, blog, custom-logo, custom-background, custom-menu, rtl-language-support, editor-style, threaded-comments, custom-colors, featured-images, wide-blocks, full-width-template, theme-options, e-commerce

This theme, like WordPress, is licensed under the GPL.
Use it to make something cool, have fun, and share
what you've learned with others.
*/
body .spinner {
    background: url(assets/images/site-loader.gif) 50% 50% no-repeat #fff;
}
/* all borders */
body .woocommerce ul.cart_list li, body .woocommerce ul.product_list_widget li,
body p.woocommerce-result-count, body.woocommerce nav.woocommerce-pagination ul li .page-numbers,body select.orderby,body.woocommerce .single-product-payments,
body.woocommerce .single-product-extras ul,body.woocommerce .single-product-extras ul li,body.woocommerce div.product form.cart table, body .woocommerce div.product div.images .woocommerce-product-gallery__trigger,
body.woocommerce div.product div.images .woocommerce-product-gallery__trigger,body .quantity.spinners-added,body.woocommerce #reviews #comments ol.commentlist li .comment-text,body.woocommerce-account .account-navigation-wrap li a,body table, body td, body th,
body .woocommerce .woocommerce-customer-details address,body .woocommerce a.added_to_cart, body.woocommerce a.added_to_cart,body #cart-drawer.popup-drawer .drawer-header {border-width: 1px;}
input[type=color], input[type=date], input[type=datetime-local], input[type=datetime], input[type=email], input[type=month], input[type=number], 
input[type=password], input[type=range], input[type=search], input[type=tel], input[type=text], input[type=time], input[type=url], input[type=week], textarea, fieldset,
body .select2-container--default .select2-selection--single,body .woocommerce-terms-and-conditions{border-width: 1px !important;}
body .woocommerce table.shop_table td {border-top-width: 1px;}
body .header-navigation[class*=header-navigation-style-underline] .header-menu-container>ul>li {border-width: 0 1px 0 0;}
body #categoryTab ul.resp-tabs-list, body #productTab ul.resp-tabs-list, body.woocommerce div.product .woocommerce-tabs .panel {border-width: 1px 0;}
body .woocommerce .products ul li, body .woocommerce ul.products li, body.woocommerce ul.products li {border-width: 0 0 1px 1px;}
body .blog-posts {border-width: 1px 0;}
body .blog-posts li.carousel-item {border-width: 0 0 0 1px;}
.woocommerce .product-buttons-wrap .product-buttons .button.yith-wcqv-button, .woocommerce .product-buttons-wrap .product-buttons .product_type_external.button, 
.woocommerce .product-buttons-wrap .product-buttons .product_type_grouped.button, .woocommerce .product-buttons-wrap .product-buttons .product_type_simple.button, 
.woocommerce .product-buttons-wrap .product-buttons .product_type_variable.button, .woocommerce .product-buttons-wrap .product-buttons .yith-wcwl-add-to-wishlist a.add_to_wishlist, 
.woocommerce .product-buttons-wrap .product-buttons .yith-wcwl-wishlistaddedbrowse, .woocommerce .product-buttons-wrap .product-buttons .yith-wcwl-wishlistexistsbrowse, 
.woocommerce .product-buttons-wrap .product-buttons a.added_to_cart, .woocommerce .product-buttons-wrap .product-buttons a.compare.button {border-width: 1px !important;}
#home_category li.carousel-item .cat-wrapper .cat-img-block,.flex-viewport {border: 1px solid var(--global-palette7);}
body.woocommerce .products ul, body.woocommerce ul.products {border-width: 1px 1px 0 0;}
body .woocommerce ul.products li.product .product-action-wrap .button, body.woocommerce ul.products li.product .product-action-wrap .button {border-width: 0 0 1px;}
body.woocommerce div.product div.images .flex-control-thumbs, body #archive-container, body #search-drawer .drawer-content #datafetch ul.search-wrapper{ border-width: 1px 0 0 1px; }
body.woocommerce div.product div.images .flex-control-thumbs li{border-width: 0 1px 1px 0;}
body .quantity.spinners-added input.minus, body.woocommerce .entry-summary .yith-wcwl-add-to-wishlist,body.thebase-account-nav-left.woocommerce-account .account-navigation-wrap {border-right-width: 1px;}
body .quantity.spinners-added input.plus,body.woocommerce-account .account-navigation-wrap {border-left-width: 1px;}
body.woocommerce div.product .woocommerce-tabs ul.tabs{border-width: 1px 0 0;}
body.woocommerce div.product .woocommerce-tabs ul.tabs li a{border-width: 0 1px 0 0;}
body.woocommerce table.shop_attributes td {border-width: 0 0 1px 1px;}
body.woocommerce table.shop_attributes th {border-width: 0 0 1px;}
body.blog.content-style-unboxed .entry,body #search-drawer .drawer-content #datafetch ul.search-wrapper li.item{border-width: 0 1px 1px 0;}
.widget_mc4wp_form_widget .newsletter-wrapper input[type=email],
#search-drawer .drawer-content form input.search-field {border-width: 0 0 1px 0 !important;}
body .woocommerce .widget_shopping_cart .cart_list li, body .woocommerce.widget_shopping_cart .cart_list li {
    border-width: 0 0 1px;
}
#add_payment_method .cart-collaterals .cart_totals tr td, #add_payment_method .cart-collaterals .cart_totals tr th, .woocommerce-cart .cart-collaterals .cart_totals tr td, .woocommerce-cart .cart-collaterals .cart_totals tr th, .woocommerce-checkout .cart-collaterals .cart_totals tr td, .woocommerce-checkout .cart-collaterals .cart_totals tr th {
    border-top-width: 1px !important;
}
/* header */
.site-top-header-wrap {
    text-align: center;
}
/* product tab */
body #categoryTab ul.resp-tabs-list li.resp-tab-item .tab-title, body #productTab ul.resp-tabs-list li.resp-tab-item .tab-title {
    border-width: 0 1px 0 0;
}
/* product category slider */
body #home_category li.carousel-item .cat-wrapper .cat-img-block {
    margin: 0 0 25px 0;
    border-radius: 0;
    -webkit-border-radius: 0;
    -khtml-border-radius: 0;
    -moz-border-radius: 0;
}
#home_category .owl-carousel .owl-item:nth-child(even) li.carousel-item .cat-wrapper .cat-img-block {
    border-radius: 50%;
    -webkit-border-radius: 50%;
    -khtml-border-radius: 50%;
    -moz-border-radius: 50%;
}
body #home_category li.carousel-item .cat-wrapper .category-desc {
    position: static;
    opacity: 1;
    -webkit-opacity: 1;
    -khtml-opacity: 1;
    -moz-opacity: 1;
    -ms-opacity: 1;
    -o-opacity: 1;
    visibility: visible;
    background: transparent;
    display: block;
}
body #home_category li.carousel-item .cat-wrapper .category-desc h3 a.cat_name {
    color: var(--global-palette3);
}
body #home_category li.carousel-item .cat-wrapper .category-desc h3 a.cat_name:hover {
    color: var(--global-palette1);
}
body #home_category li.carousel-item .cat-wrapper .category-desc h3 {
    font-size: 18px;
    line-height: 24px;
}
body #home_category li.carousel-item .cat-wrapper .category-desc a.view_btn {
    display: block;
}
#home_category li.carousel-item .cat-wrapper a.view_btn {
    text-transform: uppercase;
    text-decoration: underline;
    font-weight: 500;
}
.autoslide ul.elementor-icon-list-items .elementor-icon-list-icon {
    display: inline-flex !important;
    vertical-align: top;
}
/* shop sidebar */
body.woocommerce .primary-sidebar.widget-area ul.product_list_widget li, 
body.woocommerce .single-product-extras ul li:last-child {
    margin: 0 0 -1px;
}
/* product page trigger color */
body.woocommerce div.product div.images .woocommerce-product-gallery__trigger {
    background-color: var(--global-palette9);
}
/* all banner effect */
.image-banner, #home_category li.carousel-item .cat-wrapper .cat-img-block {
    position: relative;
}
.image-banner:before,#home_category li.carousel-item .cat-wrapper .cat-img-block:before {
    position: absolute;
    top: 0;
    left: -82%;
    z-index: 0;
    display: block;
    content: '';
    width: 50%;
    height: 100%;
    background: -webkit-linear-gradient(left,rgba(255,255,255,0) 0%,rgba(255,255,255,.3) 100%);
    background: linear-gradient(to right,rgba(255,255,255,0) 0%,rgba(255,255,255,.3) 100%);
    -webkit-transform: skewX(-25deg);
    transform: skewX(-25deg);
}
.image-banner:hover:before,#home_category li.carousel-item:hover .cat-wrapper .cat-img-block:before {
    -webkit-animation: shine 1s;
    animation: shine 1s;
}
.image-banner a{
	z-index: 3;
}
@-webkit-keyframes shine{100%{left:125%}}@keyframes shine{100%{left:125%}}
/* video block hover icon */
.video-block:hover .elementor-custom-embed-play i {
    color: #fff !important;
    text-shadow: 0 0px 10px rgb(0 0 0 / 50%) !important;
}
@media screen and (max-width: 1024px){
    body .site-footer-section:not(:last-child):after {
        border-width: 1px;
    }
}
@media screen and (max-width: 540px){
    body #home_category li.carousel-item .cat-wrapper .cat-img-block {
        margin: 0 0 10px 0;
    }
    body #home_category li.carousel-item .cat-wrapper .category-desc h3 {
        font-size: 15px;
        line-height: 20px;
    }
}
@media screen and (max-width: 767px){
    body.woocommerce div.product .woocommerce-tabs ul.tabs li a {
        border-width: 0 0 1px;
    }
}
@media screen and (max-width: 479px){
    body.woocommerce ul.products li.product .woocommerce-loop-product__title, 
    body .woocommerce ul.products li.product .woocommerce-loop-product__title, 
    body.woocommerce ul.products li.product h3,
    body .woocommerce ul.products li.product h3 {
        font-size: 14px;
        -webkit-line-clamp: 2;
    }
}